메인 콘텐츠로 건너뛰기
GET
/
2
/
users
/
personalized_trends
맞춤 트렌드 조회하기
curl --request GET \
  --url https://api.x.com/2/users/personalized_trends \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "category": "<string>",
      "post_count": 123,
      "trend_name": "<string>",
      "trending_since": "<string>"
    }
  ],
  "errors": [
    {
      "title": "<string>",
      "type": "<string>",
      "detail": "<string>",
      "status": 123
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://generaltranslation.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

인증

Authorization
string
header
필수

The access token received from the authorization server in the OAuth 2.0 flow.

쿼리 매개변수

personalized_trend.fields
enum<string>[]

요청에 포함할 PersonalizedTrend 필드의 쉼표로 구분된 목록입니다. PersonalizedTrend 객체에서 지정할 수 있는 필드입니다.

Minimum array length: 1
사용 가능한 옵션:
category,
post_count,
trend_name,
trending_since
예시:
[
  "category",
  "post_count",
  "trend_name",
  "trending_since"
]

응답

요청이 성공했습니다.

data
object[]
Minimum array length: 1
errors
object[]
Minimum array length: 1

IETF RFC 7807(https://tools.ietf.org/html/rfc7807)에 정의된 HTTP Problem Details 객체